Skip to main content
GET
/
b2b
/
earn
/
{user}
Get Earn Summary
curl --request GET \
  --url https://nexus.kraken.com/b2b/earn/{user} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "auto_earn_eligible": true,
    "auto_earn_enabled": true,
    "payout_period": "PT15M",
    "total_allocated_converted": "1.23",
    "total_rewarded_converted_true_rates": "1.23",
    "total_rewarded_converted_current_rate": "1.23",
    "num_earning_assets": 1,
    "upcoming_rewards": [
      {
        "date": "2023-11-07T05:31:56Z",
        "asset": "<string>",
        "accumulated_amount": {
          "native": "1.23",
          "converted": "1.23"
        },
        "estimated_pending_amount": {
          "native": "1.23",
          "converted": "1.23"
        }
      }
    ],
    "auto_earn_last_changed": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Query Parameters

currency
string

The user-preferred currency.

Maximum string length: 16

Response

Response

result
object